Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000444 [1003.1(2008)/Issue 7] System Interfaces Objection Omission 2011-05-15 12:19 2024-06-11 08:53
Reporter drepper View Status public  
Assigned To ajosey
Priority normal Resolution Accepted  
Status Closed  
Name Ulrich Drepper
Organization
User Reference ud-getsubopt-restrict
Section getsubopt()
Page Number 1078
Line Number 35929
Interp Status ---
Final Accepted Text
Summary 0000444: restrict missing from getsubopt
Description getsubopt takes pointers to pointers to char as parameters. For completeness sake the prototype should use restrict with all the parameters since it cannot be that any of them overlap.

The same applies to the declaration in XBD.
Desired Action On XSH page 1078 line 35929 change

int getsubopt(char **optionp, char * const *keylistp, char **valuep)

to

int getsubopt(char **restrict optionp, char * const *restrict keylistp, char ** restrict valuep)


On XBD page 356 line 11992 change

int getsubopt(char **, char * const *, char **)

to

int getsubopt(char **restrict, char * const *restrict, char **restrict)



Also, getsubopt should be marked CX in <stdlib.h>, in case this hasn't already been fixed.

Tags issue8
Attached Files

- Relationships
related to 0000197Closedajosey getsubopt needs CX shading 

-  Notes
(0000784)
eblake (manager)
2011-05-16 12:15

0000197 already covers the CX shading issue.

- Issue History
Date Modified Username Field Change
2011-05-15 12:19 drepper New Issue
2011-05-15 12:19 drepper Status New => Under Review
2011-05-15 12:19 drepper Assigned To => ajosey
2011-05-15 12:19 drepper Name => Ulrich Drepper
2011-05-15 12:19 drepper User Reference => ud-getsubopt-restrict
2011-05-15 12:19 drepper Section => getsubopt()
2011-05-15 12:19 drepper Page Number => 1078
2011-05-15 12:19 drepper Line Number => 35929
2011-05-16 12:14 eblake Relationship added related to 0000197
2011-05-16 12:15 eblake Note Added: 0000784
2011-06-09 15:36 Don Cragun Interp Status => ---
2011-06-09 15:36 Don Cragun Resolution Open => Accepted
2011-06-09 15:36 Don Cragun Status Under Review => Resolved
2011-06-09 15:37 Don Cragun Tag Attached: issue8
2020-03-03 14:46 geoffclare Status Resolved => Applied
2024-06-11 08:53 agadmin Status Applied => Closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker